Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364458 - Error:undefined method `size' for nil:NilClass when clicked on cloud provider after deleting network manager
Summary: Error:undefined method `size' for nil:NilClass when clicked on cloud provider...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.0
Assignee: Ladislav Smola
QA Contact: Aziza Karol
URL:
Whiteboard: provider:cloud:network
Depends On:
Blocks: 1371979
TreeView+ depends on / blocked
 
Reported: 2016-08-05 11:59 UTC by Aziza Karol
Modified: 2017-01-12 05:04 UTC (History)
6 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1371979 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:22:33 UTC
Category: Bug
Cloudforms Team: ---


Attachments (Terms of Use)
err (deleted)
2016-08-05 11:59 UTC, Aziza Karol
no flags Details

Description Aziza Karol 2016-08-05 11:59:57 UTC
Created attachment 1187859 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.6.1.0.20160726144018_810a94f

How reproducible:
100%

Steps to Reproduce:
1.Add Openstack cloud provider  
2.Navigate to Networks->providers and delete the network provider
3.Then navigate to compute->clouds->provider and click on provider

Actual results:
Error:undefined method `size' for nil:NilClass displayed in UI. see attached screenshot

Expected results:


Additional info:
production.log
[----] I, [2016-08-05T07:55:00.803136 #3039:145ed80]  INFO -- :   Rendered ems_cloud/show.html.haml within layouts/application (37.8ms)
[----] F, [2016-08-05T07:55:00.803461 #3039:145ed80] FATAL -- : Error caught: [ActionView::Template::Error] undefined method `size' for nil:NilClass
/var/www/miq/vmdb/lib/extensions/ar_number_of.rb:5:in `number_of'
/var/www/miq/vmdb/app/helpers/ems_cloud_helper/textual_summary.rb:125:in `textual_security_groups'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:16:in `expand_textual_summary'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:39:in `block in expand_textual_group'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:39:in `map'
/var/www/miq/vmdb/app/helpers/textual_summary_helper.rb:39:in `expand_textual_group'
/var/www/miq/vmdb/app/views/shared/summary/_textual.html.haml:1:in `_app_views_shared_summary__textual_html_haml___4201910988009358618_108946000'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/shared/views/ems_common/_main.html.haml:7:in `_app_views_shared_views_ems_common__main_html_haml__2660239435589293213_107964560'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/ems_cloud/_main.html.haml:1:in `_app_views_ems_cloud__main_html_haml__4176035772637797600_145852280'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/shared/views/ems_common/_show.html.haml:25:in `_app_views_shared_views_ems_common__show_html_haml___967302970561708368_106234360'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/ems_cloud/show.html.haml:1:in `_app_views_ems_cloud_show_html_haml__608688629644395774_132107920'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/template_renderer.rb:54:in `block (2 levels) in render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/template_renderer.rb:53:in `block in render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/template_renderer.rb:61:in `render_with_layout'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/rendering.rb:103:in `_render_template'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/rendering.rb:52:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/renderers.rb:144:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/abstract_controller/rendering.rb:26:in `render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/rendering.rb:36:in `render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/activerecord-5.0.0/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/instrumentation.rb:43:in `render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/implicit_render.rb:36:in `default_render'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/basic_implicit_render.rb:4:in `block in send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/basic_implicit_render.rb:4:in `tap'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/abstract_controller/base.rb:188:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-5.0.0/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/conditional_get.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.0/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.0/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
/opt/rh/cfme-gemset/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:in `call'
/opt/rh/cfme-gemset/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:in `block in create_with_logging_context'

Comment 4 CFME Bot 2016-08-15 17:55:54 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8c0ceadc047fe0762df6cdfeaca84bff0b4a46e5

commit 8c0ceadc047fe0762df6cdfeaca84bff0b4a46e5
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Mon Aug 8 13:16:42 2016 +0200
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Aug 11 16:23:37 2016 +0200

    Handle gracefully missing number_of nil
    
    Handle gracefully missing number_of nil, which can occur when
    we delegate association and the receiving object is nil.4
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1364458

 lib/extensions/ar_number_of.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Gregg Tanzillo 2016-08-31 13:06:26 UTC
Satoe, yes, we should clone the BZ for 5.6 so that the issues can also be addressed there. Thanks.

Comment 8 Aziza Karol 2016-09-19 11:30:35 UTC
No error when clicked on cloud provider after deleting network manager.

Verified:5.7.0.0.20160906172503_12f65cb


Note You need to log in before you can comment on or make changes to this bug.